package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.NonContractExpenses;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 合同外费用 服务类
 * </p>
 *
 * @author Gdc
 * @since 2022-03-03
 */
public interface INonContractExpensesService extends IService<NonContractExpenses> {
    /**
     * 添加
     *
     * @param nonContractExpenses
     */
    String addInfo(NonContractExpenses nonContractExpenses);

    /**
     * 编辑
     *
     * @param nonContractExpenses
     */
    String editInfo(NonContractExpenses nonContractExpenses);
    /**
     * 付款
     *
     * @param nonContractExpenses
     */
    String payment(NonContractExpenses nonContractExpenses);

    /**
     * 查看
     *
     * @param
     */
    NonContractExpenses getInfo(String id);

    /**
     * 信息分页列表查询
     *
     * @param nonContractExpenses
     * @return
     */
    Page<NonContractExpenses> selectInfo(NonContractExpenses nonContractExpenses);

    /**
     * 删除
     *
     * @param id
     */
    void deleteInfo(String id);


}
